# Uses of Class
org.eclipse.ltk.core.refactoring.GroupCategory

Packages that use GroupCategory
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.

## Uses of GroupCategory in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return types with arguments of type GroupCategory
Modifier and Type
Method
Description
`List<GroupCategory>`
GroupCategorySet.`asList()`
Converts the group categories into a a unmodifiable list.
Methods in org.eclipse.ltk.core.refactoring with parameters of type GroupCategory
Modifier and Type
Method
Description
`boolean`
GroupCategorySet.`contains(GroupCategory category)`
Returns whether the given category is contained in this set of group categories
Method parameters in org.eclipse.ltk.core.refactoring with type arguments of type GroupCategory
Modifier and Type
Method
Description
`boolean`
GroupCategorySet.`containsOneCategory(List<GroupCategory> categories)`
Returns whether one of the given categories is contained in this set of group categories
`boolean`
TextEditBasedChange.`hasOneGroupCategory(List<GroupCategory> groupCategories)`
Returns `true` if the change has one of the given group categories.
Constructors in org.eclipse.ltk.core.refactoring with parameters of type GroupCategory
Modifier
Constructor
Description
``
`GroupCategorySet(GroupCategory category)`
Creates a new list of group categories initialized with the given group category.
``
`GroupCategorySet(GroupCategory[] categories)`
Creates a new set of group categories initialized from the given array of group categories